version: '2'
services:
  api:
    build: .
    environment:
      - "TZ=Europe/Amsterdam"
    command: bash -c "./bin/setup && bundle exec puma"
    volumes:
      - .:/app
    volumes_from:
      - gems
    ports:
      - "9292:9292"
    depends_on:
      - postgres
  postgres:
    image: postgres:9.6
    ports:
      - "5432:5432"
  gems:
    image: busybox
    volumes:
      - /ruby_gems
